Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Websphere MQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.webspheremqadapter.message
Class QueueAccessOptions

    java.lang.Object
      com.stc.connector.webspheremqadapter.message.QueueAccessOptions

    public class QueueAccessOptions

extends java.lang.Object

The integer 'openOptions' parameter for the QM.accessQueue is actually a series of bitflags and needed to be flattened out much like the GetMessageOptions and PutMessageOptions. The purpose of this class, then, is to provide a holding area for these flags and to expose a series of set/clear methods for them. This class is also exposed to the user as a part of the WebSphere MQ OTD.

Version:
  $Revision: 1.4 $

Constructor Summary
`QueueAccessOptions()` Create a QueueAccessOptions object.
`QueueAccessOptions(QueueAccessOptions arg)`

Method Summary
`boolean` | `getMQOO_ALTERNATE_USER_AUTHORITY()`
`boolean` | `getMQOO_BIND_AS_Q_DEF()`
`boolean` | `getMQOO_BIND_NOT_FIXED()`
`boolean` | `getMQOO_BIND_ON_OPEN()`
`boolean` | `getMQOO_BROWSE()`
`boolean` | `getMQOO_FAIL_IF_QUIESCING()`
`boolean` | `getMQOO_INPUT_AS_Q_DEF()`
`boolean` | `getMQOO_INPUT_EXCLUSIVE()`
`boolean` | `getMQOO_INPUT_SHARED()`
`boolean` | `getMQOO_INQUIRE()`
`boolean` | `getMQOO_OUTPUT()`
`boolean` | `getMQOO_PASS_ALL_CONTEXT()`
`boolean` | `getMQOO_PASS_IDENTITY_CONTEXT()`
`boolean` | `getMQOO_RESOLVE_NAMES()`
`boolean` | `getMQOO_SAVE_ALL_CONTEXT()`
`boolean` | `getMQOO_SET_ALL_CONTEXT()`
`boolean` | `getMQOO_SET_IDENTITY_CONTEXT()`
`boolean` | `getMQOO_SET()`
`int` | `getOptions()` Access to the entire bitfield value represented by this object.
`void` | `optionsClearAll()` Clear all option flags.
`void` | `setMQOO_ALTERNATE_USER_AUTHORITY(boolean bSet)` Set/unset the MQOO_ALTERNATE_USER_AUTHORITY option.
`void` | `setMQOO_BIND_AS_Q_DEF(boolean bSet)` Set/unset the MQOO_BIND_AS_Q_DEF option.
`void` | `setMQOO_BIND_NOT_FIXED(boolean bSet)` Set/unset the MQOO_BIND_NOT_FIXED option.
`void` | `setMQOO_BIND_ON_OPEN(boolean bSet)` Set/unset the MQOO_BIND_ON_OPEN option.
`void` | `setMQOO_BROWSE(boolean bSet)` Set/unset the MQOO_BROWSE option.
`void` | `setMQOO_FAIL_IF_QUIESCING(boolean bSet)` Set/unset the MQOO_FAIL_IF_QUIESCING option.
`void` | `setMQOO_INPUT_AS_Q_DEF(boolean bSet)` Set/unset the MQOO_INPUT_AS_Q_DEF option.
`void` | `setMQOO_INPUT_EXCLUSIVE(boolean bSet)` Set/unset the MQOO_INPUT_EXCLUSIVE option.
`void` | `setMQOO_INPUT_SHARED(boolean bSet)` Set/unset the MQOO_INPUT_SHARED option.
`void` | `setMQOO_INQUIRE(boolean bSet)` Set/unset the MQOO_INQUIRE option.
`void` | `setMQOO_OUTPUT(boolean bSet)` Set/unset the MQOO_OUTPUT option.
`void` | `setMQOO_PASS_ALL_CONTEXT(boolean bSet)` Set/unset the MQOO_PASS_ALL_CONTEXT option.
`void` | `setMQOO_PASS_IDENTITY_CONTEXT(boolean bSet)` Set/unset the MQOO_PASS_IDENTITY_CONTEXT option.
`void` | `setMQOO_RESOLVE_NAMES(boolean bSet)` Set/unset the MQOO_RESOLVE_NAMES option.
`void` | `setMQOO_SAVE_ALL_CONTEXT(boolean bSet)` Set/unset the MQOO_SAVE_ALL_CONTEXT option.
`void` | `setMQOO_SET_ALL_CONTEXT(boolean bSet)` Set/unset the MQOO_SET_ALL_CONTEXT option.
`void` | `setMQOO_SET_IDENTITY_CONTEXT(boolean bSet)` Set/unset the MQOO_SET_IDENTITY_CONTEXT option.
`void` | `setMQOO_SET(boolean bSet)` Set/unset the MQOO_SET option.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueueAccessOptions

    public QueueAccessOptions()

  Create a QueueAccessOptions object.

### QueueAccessOptions

    public QueueAccessOptions(QueueAccessOptions arg)

Method Detail

### getOptions

    public int getOptions()

  Access to the entire bitfield value represented by this object.

  Returns:
    int value corresponding to the options bit pattern.

### optionsClearAll

    public void optionsClearAll()

  Clear all option flags.

### setMQOO_INPUT_AS_Q_DEF

    public void setMQOO_INPUT_AS_Q_DEF(boolean bSet)

  Set/unset the MQOO_INPUT_AS_Q_DEF option.

  Parameters:
    `bSet` - `True` to set the option.
  See Also:
    `MQC.MQOO_INPUT_AS_Q_DEF`

### getMQOO_INPUT_AS_Q_DEF

    public boolean getMQOO_INPUT_AS_Q_DEF()

### setMQOO_INPUT_SHARED

    public void setMQOO_INPUT_SHARED(boolean bSet)

  Set/unset the MQOO_INPUT_SHARED option.

  Parameters:
    `bSet` - `True` to set the option.
  See Also:
    `MQC.MQOO_INPUT_SHARED`

### getMQOO_INPUT_SHARED

    public boolean getMQOO_INPUT_SHARED()

### setMQOO_INPUT_EXCLUSIVE

    public void setMQOO_INPUT_EXCLUSIVE(boolean bSet)

  Set/unset the MQOO_INPUT_EXCLUSIVE option.

  Parameters:
    `bSet` - `True` to set the option.
  See Also:
    `MQC.MQOO_INPUT_EXCLUSIVE`

### getMQOO_INPUT_EXCLUSIVE

    public boolean getMQOO_INPUT_EXCLUSIVE()

### setMQOO_BROWSE

    public void setMQOO_BROWSE(boolean bSet)

  Set/unset the MQOO_BROWSE option.

  Parameters:
    `bSet` - `True` to set the option.
  See Also:
    `MQC.MQOO_BROWSE`

### getMQOO_BROWSE

    public boolean getMQOO_BROWSE()

### setMQOO_OUTPUT

    public void setMQOO_OUTPUT(boolean bSet)

  Set/unset the MQOO_OUTPUT option.

  Parameters:
    `bSet` - `True` to set the option.
  See Also:
    `MQC.MQOO_OUTPUT`

### getMQOO_OUTPUT

    public boolean getMQOO_OUTPUT()

### setMQOO_SAVE_ALL_CONTEXT

    public void setMQOO_SAVE_ALL_CONTEXT(boolean bSet)

  Set/unset the MQOO_SAVE_ALL_CONTEXT option.

  Parameters:
    `bSet` - `True` to set the option.
  See Also:
    `MQC.MQOO_SAVE_ALL_CONTEXT`

### getMQOO_SAVE_ALL_CONTEXT

    public boolean getMQOO_SAVE_ALL_CONTEXT()

### setMQOO_ALTERNATE_USER_AUTHORITY

    public void setMQOO_ALTERNATE_USER_AUTHORITY(boolean bSet)

  Set/unset the MQOO_ALTERNATE_USER_AUTHORITY option.

  Parameters:
    `bSet` - `True` to set the option.
  See Also:
    `MQC.MQOO_ALTERNATE_USER_AUTHORITY`

### getMQOO_ALTERNATE_USER_AUTHORITY

    public boolean getMQOO_ALTERNATE_USER_AUTHORITY()

### setMQOO_FAIL_IF_QUIESCING

    public void setMQOO_FAIL_IF_QUIESCING(boolean bSet)

  Set/unset the MQOO_FAIL_IF_QUIESCING option.

  Parameters:
    `bSet` - `True` to set the option.
  See Also:
    `MQC.MQOO_FAIL_IF_QUIESCING`

### getMQOO_FAIL_IF_QUIESCING

    public boolean getMQOO_FAIL_IF_QUIESCING()

### setMQOO_PASS_IDENTITY_CONTEXT

    public void setMQOO_PASS_IDENTITY_CONTEXT(boolean bSet)

  Set/unset the MQOO_PASS_IDENTITY_CONTEXT option.

  Parameters:
    `bSet` - `True` to set the option.
  See Also:
    `MQC.MQOO_PASS_IDENTITY_CONTEXT`

### getMQOO_PASS_IDENTITY_CONTEXT

    public boolean getMQOO_PASS_IDENTITY_CONTEXT()

### setMQOO_PASS_ALL_CONTEXT

    public void setMQOO_PASS_ALL_CONTEXT(boolean bSet)

  Set/unset the MQOO_PASS_ALL_CONTEXT option.

  Parameters:
    `bSet` - `True` to set the option.
  See Also:
    `MQC.MQOO_PASS_ALL_CONTEXT`

### getMQOO_PASS_ALL_CONTEXT

    public boolean getMQOO_PASS_ALL_CONTEXT()

### setMQOO_SET_IDENTITY_CONTEXT

    public void setMQOO_SET_IDENTITY_CONTEXT(boolean bSet)

  Set/unset the MQOO_SET_IDENTITY_CONTEXT option.

  Parameters:
    `bSet` - `True` to set the option.
  See Also:
    `MQC.MQOO_SET_IDENTITY_CONTEXT`

### getMQOO_SET_IDENTITY_CONTEXT

    public boolean getMQOO_SET_IDENTITY_CONTEXT()

### setMQOO_SET_ALL_CONTEXT

    public void setMQOO_SET_ALL_CONTEXT(boolean bSet)

  Set/unset the MQOO_SET_ALL_CONTEXT option.

  Parameters:
    `bSet` - `True` to set the option.
  See Also:
    `MQC.MQOO_SET_ALL_CONTEXT`

### getMQOO_SET_ALL_CONTEXT

    public boolean getMQOO_SET_ALL_CONTEXT()

### setMQOO_INQUIRE

    public void setMQOO_INQUIRE(boolean bSet)

  Set/unset the MQOO_INQUIRE option.

  Parameters:
    `bSet` - `True` to set the option.
  See Also:
    `MQC.MQOO_INQUIRE`

### getMQOO_INQUIRE

    public boolean getMQOO_INQUIRE()

### setMQOO_SET

    public void setMQOO_SET(boolean bSet)

  Set/unset the MQOO_SET option.

  Parameters:
    `bSet` - `True` to set the option.
  See Also:
    `MQC.MQOO_SET`

### getMQOO_SET

    public boolean getMQOO_SET()

### setMQOO_BIND_ON_OPEN

    public void setMQOO_BIND_ON_OPEN(boolean bSet)

  Set/unset the MQOO_BIND_ON_OPEN option.

  Parameters:
    `bSet` - `True` to set the option.
  See Also:
    `MQC.MQOO_BIND_ON_OPEN`

### getMQOO_BIND_ON_OPEN

    public boolean getMQOO_BIND_ON_OPEN()

### setMQOO_BIND_NOT_FIXED

    public void setMQOO_BIND_NOT_FIXED(boolean bSet)

  Set/unset the MQOO_BIND_NOT_FIXED option.

  Parameters:
    `bSet` - `True` to set the option.
  See Also:
    `MQC.MQOO_BIND_NOT_FIXED`

### getMQOO_BIND_NOT_FIXED

    public boolean getMQOO_BIND_NOT_FIXED()

### setMQOO_BIND_AS_Q_DEF

    public void setMQOO_BIND_AS_Q_DEF(boolean bSet)

  Set/unset the MQOO_BIND_AS_Q_DEF option.

  Parameters:
    `bSet` - `True` to set the option.
  See Also:
    `MQC.MQOO_BIND_AS_Q_DEF`

### getMQOO_BIND_AS_Q_DEF

    public boolean getMQOO_BIND_AS_Q_DEF()

### setMQOO_RESOLVE_NAMES

    public void setMQOO_RESOLVE_NAMES(boolean bSet)

  Set/unset the MQOO_RESOLVE_NAMES option.

  Parameters:
    `bSet` - `True` to set the option.
  See Also:
    `MQC.MQOO_RESOLVE_NAMES`

### getMQOO_RESOLVE_NAMES

    public boolean getMQOO_RESOLVE_NAMES()

Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Websphere MQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.